"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var imageBuilder_1 = __importDefault(require("./imageBuilder"));
var Image = function (props) {
    var _a, _b;
    if (!((_b = (_a = props.image) === null || _a === void 0 ? void 0 : _a.asset) === null || _b === void 0 ? void 0 : _b._ref)) {
        return null;
    }
    var src = imageBuilder_1.default
        .image(props.image)
        .width(props.width || 500)
        .url();
    if (!src) {
        return null;
    }
    return React.createElement("img", { src: src, alt: "" });
};
exports.default = Image;
