"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var ui_1 = require("@sanity/ui");
var React = __importStar(require("react"));
var LayoutsPicker = function (props) {
    var _a;
    if (!((_a = props.layouts) === null || _a === void 0 ? void 0 : _a.length) ||
        props.layouts.length < 2 ||
        !props.activeLayout ||
        !props.setActiveLayout) {
        return null;
    }
    return (React.createElement(React.Fragment, null,
        React.createElement(ui_1.Box, null,
            React.createElement(ui_1.Text, null, "Choose layout")),
        React.createElement(ui_1.Inline, { space: 3 }, props.layouts.map(function (layout, i) { return (React.createElement(ui_1.Button, { key: layout.name || layout.title || i + "-layout", mode: props.activeLayout.name === layout.name ? 'default' : 'ghost', tone: props.activeLayout.name === layout.name ? 'positive' : 'default', text: layout.title || layout.name, onClick: function () { return props.setActiveLayout(layout); }, disabled: props.disabled })); }))));
};
exports.default = LayoutsPicker;
